 <?php

function agenda_memoV2($date=0, $date_f='', $id_article='', $url='', $titre='', $lieu='',  $anneed='', $moisd='', $jourd='', $anneef='', $moisf='', $jourf='' )
{
  static $agenda = array();
  static $agendatemp = array(); 
  if (!$date) return $agenda;
  $date_debut = $anneed.$moisd.$jourd ;
  $date_fin = $anneef.$moisf.$jourf ;
  $str_date = strtotime($date) ;
  $dated = date( "Ymd" , $str_date );
  $datef =  date( "Ymd" , strtotime($date_f));
  
  $jour  = date( "d" , $str_date );
  $mois  = date( "m" , $str_date );
  $annee = date( "Y" , $str_date );
  $datetemp = $dated ; 
  $jourtemp = $jour ; 
  
  while( $datetemp  <= $datef )
    {
      $date_total =  date("Y-m-d H:i:s", mktime(0, 0, 0, $mois, $jourtemp, $annee ) ) ; 
      if( ($datetemp>=$date_debut) & ($datetemp<=$date_fin) )
	{ 
	  $agenda[$datetemp]['JOURTOTAL'] =  affdate_base($date_total, 'nom_jour')." ".affdate_base($date_total, 'jour')." ".affdate_base( $date_total, 'nom_mois');
	  $agenda[$datetemp]['MOIS'] = date("Ym", mktime(0, 0, 0, $mois, $jourtemp, $annee ) ) ; 
	  $agenda[$datetemp]['NOMMOIS'] =  affdate_base( $date_total, 'nom_mois')." ".affdate_base($date_total, 'annee') ;
	  
	  if( $agendatemp[$datetemp][$id_article]['test'] == 1){
	    array_pop($agenda[$datetemp]['tableau']);
	  }
	  $agenda[$datetemp]['tableau'][] = array('TITRE' => texte_script($titre),
						  'URL' => $url,
						  'LIEU' => $lieu);
	   $agendatemp[$datetemp][$id_article]['test']  = 1 ;
	 }
       $jourtemp++; 
       $datetemp =  date("Ymd", mktime(0, 0, 0, $mois, $jourtemp, $annee ) ) ;
     }
   // toujours retourner vide pour qu'il ne se passe rien
   return "";
}

function agenda_memoV2_mot($date=0, $date_f='', $id_article='', $url='', $titre='', $lieu='', $typemot='', $mot='', $url_mot='', $anneed='', $moisd='', $jourd='', $anneef='', $moisf='', $jourf='' )
{
  static $agenda = array();
  static $agendatemp = array(); 
  if ( ($typemot!= "tout") & ($typemot!="$mot") ) return "" ;
  if (!$date) return $agenda;
  $date_debut = $anneed.$moisd.$jourd ;
  $date_fin = $anneef.$moisf.$jourf ;
  $str_date = strtotime($date) ;
  $dated = date( "Ymd" , $str_date );
  $datef =  date( "Ymd" , strtotime($date_f));
  
  $jour  = date( "d" , $str_date );
  $mois  = date( "m" , $str_date );
  $annee = date( "Y" , $str_date );
  $datetemp = $dated ; 
  $jourtemp = $jour ; 
  
  while( $datetemp  <= $datef )
    {
      $date_total =  date("Y-m-d H:i:s", mktime(0, 0, 0, $mois, $jourtemp, $annee ) ) ; 
      if( ($datetemp>=$date_debut) & ($datetemp<=$date_fin) )
	{ 
	  $agenda[$datetemp]['JOURTOTAL'] =  affdate_base($date_total, 'nom_jour')." ".affdate_base($date_total, 'jour')." ".affdate_base( $date_total, 'nom_mois');
	  $agenda[$datetemp]['MOIS'] = date("Ym", mktime(0, 0, 0, $mois, $jourtemp, $annee ) ) ; 
	  $agenda[$datetemp]['NOMMOIS'] =  affdate_base( $date_total, 'nom_mois')." ".affdate_base($date_total, 'annee') ;
	  
	  if( $agendatemp[$datetemp][$id_article]['test'] == 1){
	    array_pop($agenda[$datetemp]['tableau']);
	  }
	  $agendatemp[$datetemp][$id_article]['MOT'][]= 
	    array(  'MOT' => texte_script($mot),
		    'URLMOT' =>texte_script($url_mot) );
	  $agenda[$datetemp]['tableau'][] = array('MOT' => $agendatemp[$datetemp][$id_article]['MOT'],
						  'TITRE' => texte_script($titre),
						  'URL' => $url,
						  'LIEU' => $lieu);
	   $agendatemp[$datetemp][$id_article]['test']  = 1 ;
	 }
       $jourtemp++; 
       $datetemp =  date("Ymd", mktime(0, 0, 0, $mois, $jourtemp, $annee ) ) ;
     }
   // toujours retourner vide pour qu'il ne se passe rien
   return "";
}

function agenda_afficheV2($i)
{
  $args = func_get_args();
  $nb = array_shift($args); // nombre d'evenements
  $sinon = array_shift($args);
  if (!$nb) return $sinon; 
  $sens =  array_shift($args) ;
  $i = 0 ;
  $agenda = agenda_memoV2(0);
  $ligne = ''; 
  $tabmois = 0 ;
  $tab =array() ;
  foreach ($agenda as $cle=>$valeur)  
    {
      $evnt = $valeur['tableau'] ; 
      $moisan  = $valeur['MOIS'] ;
      $nommois =  $valeur['NOMMOIS'] ;
      $annee = substr($moisan, 0, 4 ) ; 
      $mois = substr($moisan, 4, 2 ) ; 
      $le_jour = $valeur['JOURTOTAL']." :" ;
      
      if ( !( $moisan == $moisold )  ) 
	{
	  if(is_array($tabmois))
	    {
	      array_push( $tabmois,"</table>" ) ;
	      if( $sens =="chrono" )
		{
		  $tab =array_merge( $tab, $tabmois ) ;
		}
	      elseif( $sens =="antichrono" )
		{
		  $tab = array_merge( $tabmois, $tab ) ; 
		}
	      $tabmois =   array( "<br/><h2><a href=\"spip.php?page=agenda&amp;type=mois&amp;annee=$annee&amp;mois=$mois\"title=\"$nommois\" >  $nommois </a></h2>" ); 
	    }
	  else
	    {
	      $tabmois =   array( "<br/><h2><a href=\"spip.php?page=agenda&amp;type=mois&amp;annee=$annee&amp;mois=$mois\"title=\"$nommois\" >  $nommois </a></h2>" );
	    }
	  
	  array_push( $tabmois,"<table class=\"agenda\">\n<tr class=\"agendatitre\"><td class=\"agdcol1titre\">date</td><td class=\"agdcol2titre\"> Manifestation </td><td class=\"agdcol3titre\">lieu</td></tr>"  ) ;
	}
      foreach ($evnt as $cle=>$valeur)  
	{ 
	  $url_art = $valeur['URL'] ;
	  $titre   = $valeur['TITRE'] ;
	  $lieu    = $valeur['LIEU'] ;
	  if( $sens =="chrono" )
	    {
	      if( $le_jour == '')
		{
		  if( $i == 0 ){ $i =1; }else{ $i = 0; } 
		  $j = 1 ;
		}
	      else{ $j = 0 ;}
	      array_push($tabmois, "<tr class=\"agendacol$j\"><td class=\"agdcol1coul$i\">$le_jour</td><td class=\"agdcol2coul$i\"> <a href=\"$url_art\" title=\"$titre\">  $titre </a></td><td class=\"agdcol3coul$i\"> $lieu </td></tr> \n");
	      if( $i == 0 ){ $i =1; }else{ $i = 0; }
	    }
	  elseif( $sens =="antichrono" )
	    {
	      if( $le_jour == '')
		{
		  $j =1 ;
		  if( $i == 0){ $i =1; }else{ $i =0; }
		  array_splice($tabmois, 3, 0,"<tr class=\"agendacol$j\"><td class=\"agdcol1coul$i\">$le_jour</td><td class=\"agdcol2coul$i\"> <a href=\"$url_art\" title=\"$titre\">  $titre </a></td><td class=\"agdcol3coul$i\"> $lieu </td></tr> \n");
		  if( $i == 0){ $i =1; }else{ $i =0; }
		}
	      else
		{
		  $j = 0 ;
		  array_splice($tabmois, 2, 0,"<tr class=\"agendacol$j\"><td class=\"agdcol1coul$i\">$le_jour</td><td class=\"agdcol2coul$i\"> <a href=\"$url_art\" title=\"$titre\">  $titre </a></td><td class=\"agdcol3coul$i\"> $lieu </td></tr> \n");
		  if( $i == 0){ $i =1; }else{ $i =0; }
		}
	    }
	  $le_jour = '' ;
	}
      $moisold = $moisan ;
    } 
      
  array_push( $tabmois,"</table>" ) ;
  if( $sens =="chrono" )
    {
      $tab =array_merge( $tab, $tabmois ) ;
    }
  elseif( $sens =="antichrono" )
    {
      $tab = array_merge( $tabmois, $tab ) ; 
    }
  foreach ($tab as $cle=>$valeur) 
    {
      $ligne .= array_shift($tab) ; 
    } 
  return $ligne;
}

function agenda_afficheV2_mot($i)
{
  $args = func_get_args();
  $nb = array_shift($args); // nombre d'evenements
  $sinon = array_shift($args);
  if (!$nb) return $sinon; 
  $sens =  array_shift($args) ;
  $i = 0 ;
  $agenda = agenda_memoV2_mot(0);
  $ligne = ''; 
  $tabmois = 0 ;
  $tab =array() ;
  foreach ($agenda as $cle=>$valeur)  
    {
      $evnt = $valeur['tableau'] ; 
      $moisan  = $valeur['MOIS'] ;
      $nommois =  $valeur['NOMMOIS'] ;
      $annee = substr($moisan, 0, 4 ) ; 
      $mois = substr($moisan, 4, 2 ) ; 
      $le_jour = $valeur['JOURTOTAL']." :" ;
      
      if ( !( $moisan == $moisold )  ) 
	{
	  if(is_array($tabmois))
	    {
	      array_push( $tabmois,"</table>" ) ;
	      if( $sens =="chrono" )
		{
		  $tab =array_merge( $tab, $tabmois ) ;
		}
	      elseif( $sens =="antichrono" )
		{
		  $tab = array_merge( $tabmois, $tab ) ; 
		}
	      $tabmois =   array( "<br/><h2><a href=\"spip.php?page=agenda&amp;type=mois&amp;annee=$annee&amp;mois=$mois\"title=\"$nommois\" >  $nommois </a></h2>" ); 
	    }
	  else
	    {
	      $tabmois =   array( "<br/><h2><a href=\"spip.php?page=agenda&amp;type=mois&amp;annee=$annee&amp;mois=$mois\"title=\"$nommois\" >  $nommois </a></h2>" );
	    }
	  
	  array_push( $tabmois,"<table class=\"agenda\">\n<tr class=\"agendatitre\"><td class=\"agdcol1mottitre\">date</td><td class=\"agdcol2mottitre\"> Manifestation </td><td class=\"agdcol3mottitre\">lieu</td><td class=\"agdcol4mottitre\">  type </td></tr>"  ) ;
	}
      foreach ($evnt as $cle=>$valeur)  
	{ 
	  $url_art = $valeur['URL'] ;
	  $titre   = $valeur['TITRE'] ;
	  $lieu    = $valeur['LIEU'] ;
	  $liens_mot = '' ;
	  $tab_mot =  $valeur['MOT'] ; 
	  foreach ( $tab_mot as $cle=>$valeur)  
	    { 
	      $url_mot =$valeur['URLMOT'] ;
	      $mot =$valeur['MOT'] ; 
	      $liens_mot .= "<a href=\"$url_mot\" title=\"$mot\">  $mot </a> " ;
	    }
	  if( $sens =="chrono" )
	    {
	      if( $le_jour == '')
		{
		  if( $i == 0 ){ $i =1; }else{ $i = 0; } 
		  $j = 1 ;
		}
	      else{ $j = 0 ;}
	      array_push($tabmois, "<tr class=\"agendacol$j\"><td class=\"agdcol1motcoul$i\">$le_jour</td><td class=\"agdcol3motcoul$i\"> <a href=\"$url_art\" title=\"$titre\">  $titre </a></td><td class=\"agdcol3motcoul$i\"> $lieu </td><td class=\"agdcol4motcoul$i\">  $liens_mot</td></tr> \n");
	      if( $i == 0 ){ $i =1; }else{ $i = 0; }
	    }
	  elseif( $sens =="antichrono" )
	    {
	      if( $le_jour == '')
		{
		  $j =1 ;
		  if( $i == 0){ $i =1; }else{ $i =0; }
		  array_splice($tabmois, 3, 0,"<tr class=\"agendacol$j\"><td class=\"agdcol1motcoul$i\">$le_jour</td><td class=\"agdcol2motcoul$i\"> <a href=\"$url_art\" title=\"$titre\">  $titre </a></td><td class=\"agdcol3motcoul$i\"> $lieu </td><td class=\"agdcol4motcoul$i\">   $liens_mot</td></tr> \n");
		  if( $i == 0){ $i =1; }else{ $i =0; }
		}
	      else
		{
		  $j = 0 ;
		  array_splice($tabmois, 2, 0,"<tr class=\"agendacol$j\"><td class=\"agdcol1motcoul$i\">$le_jour</td><td class=\"agdcol2motcoul$i\"> <a href=\"$url_art\" title=\"$titre\">  $titre </a></td><td class=\"agdcol3motcoul$i\"> $lieu </td><td class=\"agdcol4motcoul$i\">  type  $liens_mot</td></tr> \n");
		  if( $i == 0){ $i =1; }else{ $i =0; }
		}
	    }
	  $le_jour = '' ;
	}
      $moisold = $moisan ;
    } 
      
  array_push( $tabmois,"</table>" ) ;
  if( $sens =="chrono" )
    {
      $tab =array_merge( $tab, $tabmois ) ;
    }
  elseif( $sens =="antichrono" )
    {
      $tab = array_merge( $tabmois, $tab ) ; 
    }
  foreach ($tab as $cle=>$valeur) 
    {
      $ligne .= array_shift($tab) ; 
    } 
  return $ligne;
}

?>
